- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# VstAudioFile Struct Reference

`#include <aeffectx.h>`

List of all members.

## Public Attributes
VstInt32 | flags
| see enum VstAudioFileFlags
void * | hostOwned
| any data private to Host
void * | plugOwned
| any data private to plug-in
char | name [kVstMaxFileNameLen]
| file title
VstInt32 | uniqueId
| uniquely identify a file during a session
double | sampleRate
| file sample rate
VstInt32 | numChannels
| number of channels (1 for mono, 2 for stereo...)
double | numFrames
| number of frames in the audio file
VstInt32 | format
| Reserved for future use.
double | editCursorPosition
| -1 if no such cursor
double | selectionStart
| frame index of first selected frame, or -1
double | selectionSize
| number of frames in selection, or 0
VstInt32 | selectedChannelsMask
| 1 bit per channel
VstInt32 | numMarkers
| number of markers in the file
VstInt32 | timeRulerUnit
| see doc for possible values
double | timeRulerOffset
| offset in time ruler (positive or negative)
double | tempo
| as BPM (Beats Per Minute)
VstInt32 | timeSigNumerator
| time signature numerator
VstInt32 | timeSigDenominator
| time signature denominator
VstInt32 | ticksPerBlackNote
| resolution
VstInt32 | smpteFrameRate
| SMPTE rate (set as in VstTimeInfo).
char | future [64]
| Reserved for future use.

## Detailed Description

Structure passed to offlineNotify and offlineStart

## Member Data Documentation

double VstAudioFile::editCursorPosition

| -1 if no such cursor

VstInt32 VstAudioFile::flags

| see enum VstAudioFileFlags

VstInt32 VstAudioFile::format

| Reserved for future use.

char VstAudioFile::future[64]

| Reserved for future use.

void* VstAudioFile::hostOwned

| any data private to Host

char VstAudioFile::name[kVstMaxFileNameLen]

| file title

VstInt32 VstAudioFile::numChannels

| number of channels (1 for mono, 2 for stereo...)

double VstAudioFile::numFrames

| number of frames in the audio file

VstInt32 VstAudioFile::numMarkers

| number of markers in the file

void* VstAudioFile::plugOwned

| any data private to plug-in

double VstAudioFile::sampleRate

| file sample rate

VstInt32 VstAudioFile::selectedChannelsMask

| 1 bit per channel

double VstAudioFile::selectionSize

| number of frames in selection, or 0

double VstAudioFile::selectionStart

| frame index of first selected frame, or -1

VstInt32 VstAudioFile::smpteFrameRate

| SMPTE rate (set as in VstTimeInfo).

double VstAudioFile::tempo

| as BPM (Beats Per Minute)

VstInt32 VstAudioFile::ticksPerBlackNote

| resolution

double VstAudioFile::timeRulerOffset

| offset in time ruler (positive or negative)

VstInt32 VstAudioFile::timeRulerUnit

| see doc for possible values

VstInt32 VstAudioFile::timeSigDenominator

| time signature denominator

VstInt32 VstAudioFile::timeSigNumerator

| time signature numerator

VstInt32 VstAudioFile::uniqueId

| uniquely identify a file during a session

The documentation for this struct was generated from the following file:

- aeffectx.h

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.